package cn.com.taiji.track.service;

import cn.com.taiji.track.entity.ShipStatusEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * @author kok20
 */
public interface IShipStatusService extends IService<ShipStatusEntity> {

    void anchorCacheToMySql();

    void pushAnchorDeviceId(String deviceId, String start);

    void pushinportDeviceId(String deviceId, String inportWarning);

    void InportCacheToMySql();

    void pushOnLineDeviceId(String deviceId, String start);

    void onlineCacheToMySql();
}
